> For the complete documentation index, see [llms.txt](https://docs.nexthink.com/platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nexthink.com/platform/ja/understanding-key-data-platform-concepts/nexthink-query-language-nql/nql-functions/nql-countif.md).

# NQL countif()

`countif()` 関数は、指定された条件に一致する行の数をカウントします。 この関数は、どの行を含めるかを決定する条件として、追加の引数を受け入れます。 [ビット単位演算子](/platform/ja/understanding-key-data-platform-concepts/nexthink-query-language-nql/nql-operators/nql-bitwise-operators.md)を使用して、1つ以上の条件を指定してください。

以下のクエリは、劣悪な通話の比率を返します。 このクエリには、音声またはビデオの品質が劣悪な行をフィルタリングする2つの条件が含まれています。

{% code overflow="wrap" lineNumbers="true" %}

```
collaboration.sessions 過去24時間における
| summarize ratio_of_poor_calls = countif(session.audio.quality = poor or session.video.quality = poor) / count() by connection_type
```

{% endcode %}

| 接続タイプ  | 劣悪な通話の比率 |
| ------ | -------- |
| イーサネット | 0        |
| Wi-Fi  | 0.01     |
| 携帯電話   | 0.13     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nexthink.com/platform/ja/understanding-key-data-platform-concepts/nexthink-query-language-nql/nql-functions/nql-countif.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
